<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8' />
    <title>Utilizando flyTo()</title>
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.0.1/dist/leaflet.css" />
    <script src="https://unpkg.com/leaflet@1.0.1/dist/leaflet.js"></script>

    <style>
        body {
            padding: 0;
            margin: 0;
        }

        html,
        body,
        #map {
            height: 100%;
        }

        #boton {
            position: absolute;
            left: 200px;
            top: 10px;
            z-index: 500
        }
    </style>
</head>

<body>
    <div id="map"></div>
    <div id="boton">
        <button id="london">London</button>
        <button id="madrid">Madrid</button>
        <button id="beijing">Beijing</button>
        <button id="lima">Lima</button>
        <button id="stop">stop</button>
    </div>
    <script type="text/javascript">
        var london = [51.51, -0.12];
        madrid = [40.4893, -3.6827];
        beijing = [39.9075, 116.3972];
        lima = [-12.0453, -77.0311];
        var map = L.map('map').setView(madrid, 10);
        L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png').addTo(map);
        document.getElementById('london').onclick = function() {
            map.flyTo(london, 15);
        };
        document.getElementById('madrid').onclick = function() {
            map.flyTo(madrid, 10);
        };
        document.getElementById('beijing').onclick = function() {
            map.flyTo(beijing, 10, {
                duration: 20
            });
        };
        document.getElementById('lima').onclick = function() {
            map.flyTo(lima, 10, {
                duration: 15
            });
        };
        document.getElementById('stop').onclick = function() {
            map.stop();
        };
    </script>

</html>
